package com.qmth.teachcloud.mark.entity;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * <p>
 * 组长特殊标记表
 * </p>
 *
 * @author xf
 * @since 2023-11-01
 */
@TableName("mark_header_tag")
@ApiModel(value="MarkHeaderTag对象", description="组长特殊标记表")
public class MarkHeaderTag implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "主键")
    @TableId(value = "id", type = IdType.INPUT)
    private Long id;

    @ApiModelProperty(value = "考试ID")
    private Long examId;

    @ApiModelProperty(value = "试卷编号")
    private String paperNumber;

    @ApiModelProperty(value = "考生ID")
    private Long studentId;

    @ApiModelProperty(value = "大题题号")
    private Integer groupNumber;

    @ApiModelProperty(value = "用户ID")
    private Long userId;

    @ApiModelProperty(value = "标记内容")
    private String tagName;
    
    @ApiModelProperty(value = "标记类型")
    private String tagType;

    @ApiModelProperty(value = "X轴位置")
    private Double positionX;

    @ApiModelProperty(value = "Y轴位置")
    private Double positionY;

    @ApiModelProperty(value = "裁切图序号")
    private Integer offsetIndex;

    @ApiModelProperty(value = "裁切图X轴坐标")
    private Integer offsetX;

    @ApiModelProperty(value = "裁切图Y轴坐标")
    private Integer offsetY;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getExamId() {
        return examId;
    }

    public void setExamId(Long examId) {
        this.examId = examId;
    }

    public String getPaperNumber() {
        return paperNumber;
    }

    public void setPaperNumber(String paperNumber) {
        this.paperNumber = paperNumber;
    }

    public Long getStudentId() {
        return studentId;
    }

    public void setStudentId(Long studentId) {
        this.studentId = studentId;
    }
    public Integer getGroupNumber() {
        return groupNumber;
    }

    public void setGroupNumber(Integer groupNumber) {
        this.groupNumber = groupNumber;
    }
    public Long getUserId() {
        return userId;
    }

    public void setUserId(Long userId) {
        this.userId = userId;
    }
    public String getTagName() {
        return tagName;
    }

    public void setTagName(String tagName) {
        this.tagName = tagName;
    }
    public Double getPositionX() {
        return positionX;
    }

    public void setPositionX(Double positionX) {
        this.positionX = positionX;
    }
    public Double getPositionY() {
        return positionY;
    }

    public void setPositionY(Double positionY) {
        this.positionY = positionY;
    }
    public Integer getOffsetIndex() {
        return offsetIndex;
    }

    public void setOffsetIndex(Integer offsetIndex) {
        this.offsetIndex = offsetIndex;
    }
    public Integer getOffsetX() {
        return offsetX;
    }

    public void setOffsetX(Integer offsetX) {
        this.offsetX = offsetX;
    }
    public Integer getOffsetY() {
        return offsetY;
    }

    public void setOffsetY(Integer offsetY) {
        this.offsetY = offsetY;
    }

    public String getTagType() {
		return tagType;
	}

	public void setTagType(String tagType) {
		this.tagType = tagType;
	}

	@Override
    public String toString() {
        return "MarkHeaderTag{" +
            "id=" + id +
            ", studentId=" + studentId +
            ", groupNumber=" + groupNumber +
            ", userId=" + userId +
            ", tagName=" + tagName +
            ", positionX=" + positionX +
            ", positionY=" + positionY +
            ", offsetIndex=" + offsetIndex +
            ", offsetX=" + offsetX +
            ", offsetY=" + offsetY +
        "}";
    }
}
